< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package mongo
  Definition Classes
    hmrc
-  package test
  Definition Classes
    mongo
- CleanMongoCollectionSupport
- DefaultMongoCollectionSupport
- IndexedMongoQueriesSupport
- MongoCollectionSupport
- MongoSupport

t

uk.gov.hmrc.mongo.test

# IndexedMongoQueriesSupport 

###

#### trait IndexedMongoQueriesSupport extends MongoCollectionSupport with BeforeAndAfterAll

Causes queries which don't use an index to generate com.mongodb.MongoQueryException or com.mongodb.MongoWriteException containing message 'No query solutions'

Self Type
  IndexedMongoQueriesSupport with TestSuite

Linear Supertypes
BeforeAndAfterAll, SuiteMixin, MongoCollectionSupport, MongoSupport, ScalaFutures, Futures, PatienceConfiguration, AbstractPatienceConfiguration, ScaledTimeSpans, AnyRef, Any
Known Subclasses
DefaultMongoCollectionSupport
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. IndexedMongoQueriesSupport
2. BeforeAndAfterAll
3. SuiteMixin
4. MongoCollectionSupport
5. MongoSupport
6. ScalaFutures
7. Futures
8. PatienceConfiguration
9. AbstractPatienceConfiguration
10. ScaledTimeSpans
11. AnyRef
12. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Type Members

1.  trait FutureConcept[T] extends AnyRef
   Definition Classes
     Futures
2.  final case class PatienceConfig extends Product with Serializable
   Definition Classes
     AbstractPatienceConfiguration

### Abstract Value Members

1.  abstract val collectionName: String
   Attributes
     protected
   Definition Classes
     MongoCollectionSupport
2.  abstract def expectedTestCount(filter: Filter): Int
   Definition Classes
     SuiteMixin
3.  abstract val indexes: Seq[IndexModel]
   Attributes
     protected
   Definition Classes
     MongoCollectionSupport
4.  abstract def nestedSuites: IndexedSeq[Suite]
   Definition Classes
     SuiteMixin
5.  abstract def rerunner: Option[String]
   Definition Classes
     SuiteMixin
6.  abstract def runNestedSuites(args: Args): Status
   Attributes
     protected
   Definition Classes
     SuiteMixin
7.  abstract def runTest(testName: String, args: Args): Status
   Attributes
     protected
   Definition Classes
     SuiteMixin
8.  abstract def runTests(testName: Option[String], args: Args): Status
   Attributes
     protected
   Definition Classes
     SuiteMixin
9.  abstract val styleName: String
   Definition Classes
     SuiteMixin
10.  abstract def suiteId: String
    Definition Classes
      SuiteMixin
11.  abstract def suiteName: String
    Definition Classes
      SuiteMixin
12.  abstract def tags: Map[String, Set[String]]
    Definition Classes
      SuiteMixin
13.  abstract def testDataFor(testName: String, theConfigMap: ConfigMap): TestData
    Definition Classes
      SuiteMixin
14.  abstract def testNames: Set[String]
    Definition Classes
      SuiteMixin

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def afterAll(): Unit
   Attributes
     protected
   Definition Classes
     IndexedMongoQueriesSupport → BeforeAndAfterAll
5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  def beforeAll(): Unit
   Attributes
     protected
   Definition Classes
     IndexedMongoQueriesSupport → BeforeAndAfterAll
7.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @native() @throws( ... )
8.  implicit def convertScalaFuture[T](scalaFuture: Future[T]): (IndexedMongoQueriesSupport.this)#FutureConcept[T]
   Definition Classes
     ScalaFutures
9.  def count(): Future[Long]
   Attributes
     protected
   Definition Classes
     MongoCollectionSupport
10.  def createCollection(): Unit
    Attributes
      protected
    Definition Classes
      MongoCollectionSupport
11.  def createIndexes(): Seq[String]
    Attributes
      protected
    Definition Classes
      MongoCollectionSupport
12.  val databaseName: String
    Attributes
      protected
    Definition Classes
      MongoSupport
13.  def dropCollection(): Unit
    Attributes
      protected
    Definition Classes
      MongoCollectionSupport
14.  def dropDatabase(): Unit
    Attributes
      protected
    Definition Classes
      MongoSupport
15.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
16.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
17.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
18.  def find(filter: Bson): Future[Seq[Document]]
    Attributes
      protected
    Definition Classes
      MongoCollectionSupport
19.  def findAll(): Future[Seq[Document]]
    Attributes
      protected
    Definition Classes
      MongoCollectionSupport
20.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
21.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
22.  def insert[T](document: Document): Future[Completed]
    Attributes
      protected
    Definition Classes
      MongoCollectionSupport
23.  def interval(value: Span): Interval
    Definition Classes
      PatienceConfiguration
24.  val invokeBeforeAllAndAfterAllEvenIfNoTestsAreExpected: Boolean
    Definition Classes
      BeforeAndAfterAll
25.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
26.  lazy val mongoClient: MongoClient
    Attributes
      protected
    Definition Classes
      MongoSupport
27.  lazy val mongoCollection: MongoCollection[Document]
    Attributes
      protected
    Definition Classes
      MongoCollectionSupport
28.  lazy val mongoComponent: MongoComponent
    Attributes
      protected
    Definition Classes
      MongoSupport
29.  lazy val mongoDatabase: MongoDatabase
    Attributes
      protected
    Definition Classes
      MongoSupport
30.  val mongoUri: String
    Attributes
      protected
    Definition Classes
      MongoSupport
31.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
32.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
33.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
34.  implicit def patienceConfig: (IndexedMongoQueriesSupport.this)#PatienceConfig
    Definition Classes
      PatienceConfiguration → AbstractPatienceConfiguration
35.  def prepareDatabase(): Unit
    Attributes
      protected
    Definition Classes
      MongoCollectionSupport → MongoSupport
36.  def run(testName: Option[String], args: Args): Status
    Definition Classes
      BeforeAndAfterAll → SuiteMixin
37.  final def scaled(span: Span): Span
    Definition Classes
      ScaledTimeSpans
38.  def spanScaleFactor: Double
    Definition Classes
      ScaledTimeSpans
39.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
40.  def timeout(value: Span): Timeout
    Definition Classes
      PatienceConfiguration
41.  def toString(): String
    Definition Classes
      AnyRef → Any
42.  def updateIndexPreference(onlyAllowIndexedQuery: Boolean): Future[Boolean]
    Attributes
      protected
    Definition Classes
      MongoSupport
43.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
44.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
45.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @throws( ... )
46.  final def whenReady[T, U](future: (IndexedMongoQueriesSupport.this)#FutureConcept[T])(fun: (T) ⇒ U)(implicit config: (IndexedMongoQueriesSupport.this)#PatienceConfig, pos: Position): U
    Definition Classes
      Futures
47.  final def whenReady[T, U](future: (IndexedMongoQueriesSupport.this)#FutureConcept[T], interval: Interval)(fun: (T) ⇒ U)(implicit config: (IndexedMongoQueriesSupport.this)#PatienceConfig, pos: Position): U
    Definition Classes
      Futures
48.  final def whenReady[T, U](future: (IndexedMongoQueriesSupport.this)#FutureConcept[T], timeout: Timeout)(fun: (T) ⇒ U)(implicit config: (IndexedMongoQueriesSupport.this)#PatienceConfig, pos: Position): U
    Definition Classes
      Futures
49.  final def whenReady[T, U](future: (IndexedMongoQueriesSupport.this)#FutureConcept[T], timeout: Timeout, interval: Interval)(fun: (T) ⇒ U)(implicit config: (IndexedMongoQueriesSupport.this)#PatienceConfig, pos: Position): U
    Definition Classes
      Futures

### Inherited from BeforeAndAfterAll

### Inherited from SuiteMixin

### Inherited from MongoCollectionSupport

### Inherited from MongoSupport

### Inherited from ScalaFutures

### Inherited from Futures

### Inherited from PatienceConfiguration

### Inherited from AbstractPatienceConfiguration

### Inherited from ScaledTimeSpans

### Inherited from AnyRef

### Inherited from Any

### Ungrouped